Phone NumbersRetrieve a phone number

Retrieve a phone number

Retrieve a single phone number record by Talkturo identifier.

curl -X GET "https://api.talkturo.com/api/phone-numbers/example_string" \
  -H "Content-Type: application/json"
{
  "success": true,
  "phoneNumber": {
    "id": "example_string",
    "phoneNumber": "+1-555-0123",
    "status": "example_string",
    "accountSlug": "example_string"
  }
}
GET
/phone-numbers/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
path
idstring
Required

Unique phone number identifier

Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Path Parameters

idstring
Required

Unique phone number identifier

Responses

successboolean
phoneNumberobject